Developer Portal
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
  1. Tracking
  • Start Here
    • Overview
    • Getting started
    • Authentication
    • Testing
    • Errors & status codes
    • FAQ
  • General
    • Retrieve a list of vessels
      GET
    • Additional entity search
      GET
  • Screening
    • Screening a vessel
    • Watchlist checks
    • Additional checks
    • Movement history
    • Carbon rating
    • Submit a vessel for screening
      POST
    • Retrieve a list of transactions and their screening results
      GET
    • Ship & Flag Watchlist check
      GET
    • Company Watchlist check
      GET
    • Country Sanctions check
      GET
    • Ship movement history
      GET
    • Ship-to-Ship (STS) pairing screening
      GET
    • Company history check
      GET
    • P&I Club check
      GET
    • Vessel operational status
      GET
    • Flag history check
      GET
    • AIS positional discrepancy (spoofing) events
      GET
    • Periods of Non-Reporting
      GET
    • Carbon rating details
      GET
    • Get the PurpleTRAC Screening Report PDF
      GET
    • Submit a vessel for rescreening
      PUT
    • Archive a Screening
      PUT
  • Tracking
    • Voyage updates
    • Notification catalogue
    • Additional entities
    • Tracking a vessel
    • Enable a vessel for tracking
      PUT
    • Remove additional entities from a tracked vessel
      DELETE
    • Add additional entities to a tracked vessel
      PUT
    • List the additional entities on a transaction
      GET
    • Update voyage and tracking details
      PUT
    • Get vessel positional data
      GET
    • Retrieve a list of vessel or bill of lading notifications
      GET
    • Get the PurpleTRAC Trade Report PDF
      GET
  • Bill of Lading
    • Carriers
    • Verification
    • Submit a Bill of Lading for screening
    • Get all BL Screening Results
    • Get a single BL screening result
    • Get the PurpleTRAC Bill of Lading Screening Report PDF
    • Enable tracking for a screened Bill of Lading
    • Get the PurpleTRAC Bill of Lading Tracking Report PDF
    • Disable tracking for a Bill of Lading
  • Containers
    • Screening
    • Carriers
    • Submit a Container for screening
    • Get all Container Screening Results
    • Archive Container
    • Get a single Container screening result
    • Get the Container report
  • Schemas
    • BLVGetAllResultsResponse
    • BLVScreeningResponse
    • BLVLastScreeningResult
    • BLVScreeningResultDetails
    • ContainerRegistrationBody
    • ContainerRegistrationResponse
    • ContainerGetAllResultsResponse
    • ContainerScreeningResponse
    • CarbonRatings
    • CarbonRating
    • CompanySanctions
    • CompanySanction
    • CountryChecks
    • CountryCheck
    • StsPairings
    • StsPairing
    • OtherAssociations
    • OtherAssociation
    • CompanyHistoryChecks
    • CompanyHistoryCheck
    • ShipStatuses
    • ShipStatus
    • FlagHistoryChecks
    • FlagHistoryCheck
    • PositionalDiscrepancies
    • PositionalDiscrepancy
    • DiscrepancyZone
    • DiscrepancyPort
    • NonReportingResponse
    • NonReporting
    • Notifications
    • Notification
    • BLVNotification
    • BLVPortFull
    • BLVPortFallback
    • PortCallHistory
    • PortCallHistoryItem
    • Positions
    • Position
    • PositionInfo
    • RegistrationResponse
    • ShipDetails
    • ShipSanctions
    • ShipSanction
    • VesselTrackingResponse
    • VesselTransactionsResponse
    • Transaction
    • TransactionPutBody
    • TransactionPutResponse
    • TransactionRescreenResponse
    • LastPosition
    • ScreeningNotification
    • ScreeningResult
    • UserDetails
    • UserProfile
    • Error
    • InvalidContainerNumberResponse
    • VesselRegistrationBody
    • VesselTrackingRequest
    • BLRegistrationBody
    • AdditionalEntitySearchResponse
    • AdditionalEntity
    • AdditionalEntitiesRequestSchema
    • TrackingAdditionalEntity
    • TrackingAdditionalEntitiesResponse
    • TrackingAdditionalEntityInput
    • TrackingAdditionalEntitiesPutBody
    • TrackingAdditionalEntitiesPutResponse
    • TrackingAdditionalEntitiesDeleteBody
    • RemovedAdditionalEntity
    • TrackingAdditionalEntitiesDeleteResponse
    • TrackingAdditionalEntityError
    • FeatureDisabledError
    • ObjectNotFoundError
    • TransactionValidationError
    • VoyageUpdateRequest
    • VoyageUpdateResponse
    • PTracMeta
    • PTracVessel
    • PTracVesselSearchResponse
    • DuplicateTransactionError
  1. Tracking

Retrieve a list of vessel or bill of lading notifications

Production
https://api.polestar-production.com
Production
https://api.polestar-production.com
GET
https://api.polestar-production.com
/purpletrac/v1/notification
Gets all notifications generated for a vessel or bill of lading while the it is being tracked. To retrieve a vessel's notification include the transaction id in the query path. For a bill of lading's notifications include the blv id instead.
Refer to Tracking a Vessel to see how this endpoint is used in the vessel tracking workflow.

Request

Authorization
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Query Params

Responses

🟢200OK
application/json
Notifications for the transaction or bill of lading, newest first.
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.polestar-production.com/purpletrac/v1/notification?username=undefined&limit=undefined&offset=undefined&transaction=undefined&blv=undefined&order_by=undefined&api_key=%3Capi-key%3E'
Response Response Example
200 - Vessel default (incl. pagination)
{
    "meta": {
        "limit": 10,
        "next": "/api/v1/notification?transaction=2854829&order_by=-event_date&username=&api_key=&limit=10&offset=10",
        "offset": 0,
        "previous": null,
        "total_count": 24
    },
    "objects": [
        {
            "acknowledged": false,
            "blv": null,
            "cleared": false,
            "comment": "",
            "creation_date": "2023-12-09T04:37:25.299207+00:00",
            "document_id": null,
            "event": "POSITION_PORT_EXIT",
            "event_date": "2023-12-09T04:17:29+00:00",
            "id": 52605259,
            "last_updated_date": "2023-12-09T04:37:25.299229+00:00",
            "parent_notification_id": null,
            "related_obj_id": "EGRSH",
            "related_text": "Ras Shukheir, Egypt",
            "resource_uri": "/api/v1/notification/52605259",
            "severity": "OK",
            "transaction": "/api/v1/transaction/2854829",
            "updated_since_creation": false,
            "user": "/api/v1/user/6913"
        },
        {
            "acknowledged": false,
            "blv": null,
            "cleared": false,
            "comment": "",
            "creation_date": "2023-12-09T03:16:11.036461+00:00",
            "document_id": null,
            "event": "POSITION_PORT_ENTRY",
            "event_date": "2023-12-09T03:04:18+00:00",
            "id": 52603048,
            "last_updated_date": "2023-12-09T03:16:11.036500+00:00",
            "parent_notification_id": null,
            "related_obj_id": "EGRSH",
            "related_text": "Ras Shukheir, Egypt",
            "resource_uri": "/api/v1/notification/52603048",
            "severity": "OK",
            "transaction": "/api/v1/transaction/2854829",
            "updated_since_creation": false,
            "user": "/api/v1/user/6913"
        },
        {
            "acknowledged": false,
            "blv": null,
            "cleared": false,
            "comment": "",
            "creation_date": "2023-12-09T03:16:11.098534+00:00",
            "document_id": null,
            "event": "POSITION_PORT_EXIT",
            "event_date": "2023-12-09T03:04:18+00:00",
            "id": 52603051,
            "last_updated_date": "2023-12-09T03:16:11.098575+00:00",
            "parent_notification_id": null,
            "related_obj_id": "EGRAG",
            "related_text": "Ras Gharib, Egypt",
            "resource_uri": "/api/v1/notification/52603051",
            "severity": "OK",
            "transaction": "/api/v1/transaction/2854829",
            "updated_since_creation": false,
            "user": "/api/v1/user/6913"
        },
        {
            "acknowledged": false,
            "blv": null,
            "cleared": false,
            "comment": "",
            "creation_date": "2023-12-09T02:03:08.297438+00:00",
            "document_id": null,
            "event": "POSITION_PORT_ENTRY",
            "event_date": "2023-12-09T01:54:27+00:00",
            "id": 52601166,
            "last_updated_date": "2023-12-09T02:03:08.297459+00:00",
            "parent_notification_id": null,
            "related_obj_id": "EGRAG",
            "related_text": "Ras Gharib, Egypt",
            "resource_uri": "/api/v1/notification/52601166",
            "severity": "OK",
            "transaction": "/api/v1/transaction/2854829",
            "updated_since_creation": false,
            "user": "/api/v1/user/6913"
        },
        {
            "acknowledged": false,
            "blv": null,
            "cleared": false,
            "comment": "",
            "creation_date": "2023-12-08T22:27:17.766674+00:00",
            "document_id": null,
            "event": "POSITION_PORT_EXIT",
            "event_date": "2023-12-08T22:15:18+00:00",
            "id": 52594799,
            "last_updated_date": "2023-12-08T22:27:17.766701+00:00",
            "parent_notification_id": null,
            "related_obj_id": "EGZAF000",
            "related_text": "Za'farana Terminal, Egypt",
            "resource_uri": "/api/v1/notification/52594799",
            "severity": "OK",
            "transaction": "/api/v1/transaction/2854829",
            "updated_since_creation": false,
            "user": "/api/v1/user/6913"
        },
        {
            "acknowledged": false,
            "blv": null,
            "cleared": false,
            "comment": "",
            "creation_date": "2023-12-08T21:04:57.673220+00:00",
            "document_id": null,
            "event": "POSITION_PORT_ENTRY",
            "event_date": "2023-12-08T21:02:07+00:00",
            "id": 52592581,
            "last_updated_date": "2023-12-08T21:04:57.673260+00:00",
            "parent_notification_id": null,
            "related_obj_id": "EGZAF000",
            "related_text": "Za'farana Terminal, Egypt",
            "resource_uri": "/api/v1/notification/52592581",
            "severity": "OK",
            "transaction": "/api/v1/transaction/2854829",
            "updated_since_creation": false,
            "user": "/api/v1/user/6913"
        },
        {
            "acknowledged": false,
            "blv": null,
            "cleared": false,
            "comment": "",
            "creation_date": "2023-12-08T19:59:47.135634+00:00",
            "document_id": null,
            "event": "POSITION_PORT_EXIT",
            "event_date": "2023-12-08T19:56:57+00:00",
            "id": 52590900,
            "last_updated_date": "2023-12-08T19:59:47.135656+00:00",
            "parent_notification_id": null,
            "related_obj_id": "EGRSU",
            "related_text": "Ras Sudr, Egypt",
            "resource_uri": "/api/v1/notification/52590900",
            "severity": "OK",
            "transaction": "/api/v1/transaction/2854829",
            "updated_since_creation": false,
            "user": "/api/v1/user/6913"
        },
        {
            "acknowledged": false,
            "blv": null,
            "cleared": false,
            "comment": "",
            "creation_date": "2023-12-08T18:51:16.886453+00:00",
            "document_id": null,
            "event": "POSITION_PORT_EXIT",
            "event_date": "2023-12-08T18:45:20+00:00",
            "id": 52589059,
            "last_updated_date": "2023-12-08T18:51:16.886486+00:00",
            "parent_notification_id": null,
            "related_obj_id": "EGADA",
            "related_text": "Al Adabiyah, Egypt",
            "resource_uri": "/api/v1/notification/52589059",
            "severity": "OK",
            "transaction": "/api/v1/transaction/2854829",
            "updated_since_creation": false,
            "user": "/api/v1/user/6913"
        },
        {
            "acknowledged": false,
            "blv": null,
            "cleared": false,
            "comment": "",
            "creation_date": "2023-12-08T18:51:16.835274+00:00",
            "document_id": null,
            "event": "POSITION_PORT_ENTRY",
            "event_date": "2023-12-08T18:45:20+00:00",
            "id": 52589056,
            "last_updated_date": "2023-12-08T18:51:16.835296+00:00",
            "parent_notification_id": null,
            "related_obj_id": "EGRSU",
            "related_text": "Ras Sudr, Egypt",
            "resource_uri": "/api/v1/notification/52589056",
            "severity": "OK",
            "transaction": "/api/v1/transaction/2854829",
            "updated_since_creation": false,
            "user": "/api/v1/user/6913"
        },
        {
            "acknowledged": false,
            "blv": null,
            "cleared": false,
            "comment": "",
            "creation_date": "2023-12-08T17:31:44.810846+00:00",
            "document_id": null,
            "event": "POSITION_PORT_EXIT",
            "event_date": "2023-12-08T17:31:44+00:00",
            "id": 52586938,
            "last_updated_date": "2023-12-08T17:31:44.810866+00:00",
            "parent_notification_id": null,
            "related_obj_id": "EGPIB",
            "related_text": "Port Ibrahim, Egypt",
            "resource_uri": "/api/v1/notification/52586938",
            "severity": "OK",
            "transaction": "/api/v1/transaction/2854829",
            "updated_since_creation": false,
            "user": "/api/v1/user/6913"
        }
    ]
}
Modified at 2026-09-18 08:35:54
Previous
Get vessel positional data
Next
Get the PurpleTRAC Trade Report PDF
Built with